Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class ScriptedDataSourceEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.DataSourceEventAdapter
org.eclipse.birt.report.engine.api.script.eventadapter.ScriptedDataSourceEventAdapter

All Implemented Interfaces:
  `IDataSourceEventHandler`, `IScriptedDataSourceEventHandler`

public class ScriptedDataSourceEventAdapter extends DataSourceEventAdapter implements IScriptedDataSourceEventHandler
Default (empty) implementation of the IScriptedDataSourceEventHandler interface

## Constructor Summary

Constructors
Constructor
Description
`ScriptedDataSourceEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close(IDataSourceInstance dataSource)`
Handle the close event
`void`
`open(IDataSourceInstance dataSource)`
Handle the open event

### Methods inherited from class org.eclipse.birt.report.engine.api.script.eventadapter.DataSourceEventAdapter

`afterClose, afterOpen, beforeClose, beforeOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.eventhandler.IDataSourceEventHandler

`afterClose, afterOpen, beforeClose, beforeOpen`

## Constructor Details

### ScriptedDataSourceEventAdapter

public ScriptedDataSourceEventAdapter()

## Method Details

### open

public void open(IDataSourceInstance dataSource) throws ScriptException
Description copied from interface: `IScriptedDataSourceEventHandler`
Handle the open event

Specified by:
  `open` in interface `IScriptedDataSourceEventHandler`
Throws:
  `ScriptException`

### close

public void close(IDataSourceInstance dataSource) throws ScriptException
Description copied from interface: `IScriptedDataSourceEventHandler`
Handle the close event

Specified by:
  `close` in interface `IScriptedDataSourceEventHandler`
Throws:
  `ScriptException`